package cn.com.qmth.examcloud.tool.service.export_student_photo.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

@Setter
@Getter
public class StudentVO implements Serializable {

    private static final long serialVersionUID = -4647126917276922968L;

    @ExcelProperty(value = "id", index = 0)
    private Long id;

    @ExcelProperty(value = "学校ID", index = 1)
    private Long rootOrgId;

    @ExcelProperty(value = "学生姓名", index = 2)
    private String name;

    @ExcelProperty(value = "身份证号", index = 3)
    private String identityNumber;

    @ExcelProperty(value = "学号", index = 4)
    private String studentCodesStr;// 多个学号时用逗号分隔

    private List<String> studentCodeList;// 学号列表

    @ExcelProperty(value = "照片", index = 5)
    private String photoPath;

}
